> For the complete documentation index, see [llms.txt](https://docs.brianknows.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.brianknows.org/brian-api/apis/transaction/actions-networks-and-tokens-supported/deposit-and-withdraw-to-from-defi-protocols.md).

# Deposit and Withdraw to/from DeFi protocols

For the deposit and withdraw operations, Brian leverages [Enso](https://www.enso.finance/) solver. We currently support the following protocols, tokens and chains:

* Ethereum mainnet
  * AAVE v3
  * Lido Finance
  * Frax Finance
  * Rocket Pool
  * Spark
  * Gearbox
  * Compound v2
* Arbitrum
  * AAVE v3
  * Compound v3
* Optimism
  * AAVE v3
  * Compound v3
* Polygon
  * AAVE v3
* Base
  * AAVE v3&#x20;
  * Compound v3
* Avalanche
  * AAVE v3

### Borrow and Repay from DeFi protocols (AAVE v3)

We currently support AAVE v3 for the borrow, repay, and check parameters (loan-to-value, health rate, liquidation threshold, borrowed amount, borrowable amount) on the following chains:

* Ethereum mainnet
* Arbitrum
* Optimism
* Base
* Polygon

AAVE is also supported for the deposit and withdraw actions as specified [above](#deposit-and-withdraw-to-from-defi-protocols).&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.brianknows.org/brian-api/apis/transaction/actions-networks-and-tokens-supported/deposit-and-withdraw-to-from-defi-protocols.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
